Bug 759045 - Review Request: ghc-base16-bytestring - ByteString hex encoding and decoding
Review Request: ghc-base16-bytestring - ByteString hex encoding and decoding
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-snap-core
  Show dependency treegraph
 
Reported: 2011-12-01 05:27 EST by Jens Petersen
Modified: 2011-12-28 17:21 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-base16-bytestring-0.1.1.3-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-28 17:20:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Narasimhan 2011-12-02 23:59:46 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-base16-bytestring-0.1.1.3-1.fc16.x86_64.rpm ghc-base16-bytestring-0.1.1.3-1.fc16.src.rpm ghc-base16-bytestring-devel-0.1.1.3-1.fc16.x86_64.rpm  ../ghc-base16-bytestring.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming - Yes
        Version-release - Matches
        License - OK BSD license. License text attached.
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
Licensed as BSD.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE text is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum base16-bytestring-0.1.1.3.tar.gz 
d340e105d274c6ccca59713211805035  base16-bytestring-0.1.1.3.tar.gz

md5sum ghc-base16-bytestring-0.1.1.3-1.fc16.src/base16-bytestring-0.1.1.3.tar.gz 
d340e105d274c6ccca59713211805035  ghc-base16-bytestring-0.1.1.3-1.fc16.src/base16-bytestring-0.1.1.3.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.

[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
 rpm -e ghc-base16-bytestring
error: Failed dependencies:
	ghc(base16-bytestring-0.1.1.3) = adb9623f350c3974db728310c2475129 is needed by (installed) ghc-base16-bytestring-devel-0.1.1.3-1.fc16.x86_64
	ghc-base16-bytestring = 0.1.1.3-1.fc16 is needed by (installed) ghc-base16-bytestring-devel-0.1.1.3-1.fc16.x86_64

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[+]MUST: Packages must not own files or directories already owned by other packages.
Checked with rpmquery --list and rpmquery --whatprovides
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Imported Data.ByteString.Base16 into ghci. Works fine
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.
[+]SHOULD : If source files do not have license mentioned, the packager SHOULD query upstream.

cabal2spec-diff is OK.

APPROVED.
Comment 2 Jens Petersen 2011-12-15 04:45:44 EST
Thank you very much for the review.


New Package SCM Request
=======================
Package Name: ghc-base16-bytestring
Short Description: ByteString hex encoding and decoding
Owners: petersen
Branches: f16 f15 el6
InitialCC: haskell-sig
Comment 3 Gwyn Ciesla 2011-12-15 08:14:03 EST
Git done (by process-git-requests).
Comment 4 Fedora Update System 2011-12-15 21:43:53 EST
ghc-base16-bytestring-0.1.1.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-base16-bytestring-0.1.1.3-1.fc15
Comment 5 Fedora Update System 2011-12-15 21:44:22 EST
ghc-base16-bytestring-0.1.1.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-base16-bytestring-0.1.1.3-1.fc16
Comment 6 Fedora Update System 2011-12-16 14:49:11 EST
ghc-base16-bytestring-0.1.1.3-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 7 Fedora Update System 2011-12-28 17:20:20 EST
ghc-base16-bytestring-0.1.1.3-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 8 Fedora Update System 2011-12-28 17:21:21 EST
ghc-base16-bytestring-0.1.1.3-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.